Skip to main content
PATCH
Update CDC ClickPipes scaling
Update scaling settings for database ClickPipes (PostgreSQL, MySQL, MongoDB, BigQuery). The infrastructure is shared between all database ClickPipes in the service, both for initial load and CDC. Scaling settings may take a few minutes to fully propagate. For billing purposes, 2 CPU cores and 8 GB of RAM correspond to one compute unit. If your organization tier changes, database ClickPipes will be rescaled appropriately. Note: For Kafka, Kinesis, and object storage pipes (S3, GCS, Azure Blob), see Get ClickPipe. This endpoint becomes available once at least one database ClickPipe was provisioned.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

Body

application/json
replicaCpuMillicores
integer

CPU in millicores for DB ClickPipes.

Required range: 1000 <= x <= 32000Must be a multiple of 1000
Example:

2000

replicaMemoryGb
number

Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.

Required range: 4 <= x <= 128Must be a multiple of 4
Example:

8

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 21, 2026